MONGOC_GRIDFS_FILE_OPT_T(3)

NAME
mongoc_gridfs_file_opt_t - mongoc_gridfs_file_opt_t

SYNOPSIS

        typedef struct {
           const char *md5;
           const char *filename;
           const char *content_type;
           const bson_t *aliases;
           const bson_t *metadata;
           uint32_t chunk_size;
        } mongoc_gridfs_file_opt_t;

DESCRIPTION

This structure contains options that can be set on a mongoc_gridfs_file_t. It can be used by various functions when creating a new gridfs file.

AUTHOR
MongoDB, Inc

COPYRIGHT
2018, MongoDB, Inc